package com.jxml.quick.util.dtd2qdml;
import com.wutka.dtd.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCDTDAny extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		DTDAny dm=(DTDAny)dataModel;

		addStringAttribute("coin","#any");
		addBooleanAttribute("optional",true);
		addBooleanAttribute("repeating",true);
		startElement("item");
		endElement("item");
	}
}
